httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "David B. Held" <dh...@codelogicconsulting.com>
Subject [users@httpd] php 4.3.2 won't load with apache 1.3.14
Date Fri, 22 Aug 2003 18:06:16 GMT
I previously had php 4.0.3p1 running with the same apache and it
all worked great.  I followed the build instructions for php 4.3.2 and
installed it, and it looked like it built and installed correctly.  I have
my LoadModules and AddModules and AddTypes in my .conf, so
no, that is not the problem.  But when I try to load a php page, it
tries to download it instead of view it.  And when I shut down the
server, the logs say that it can't remove mod_php4.c.  And when I
used to start the server, it would say something like this:

Apache/1.3.14 (Unix) PHP/4.0.3pl1 configured

Now it just says this:

Apache/1.3.14 (Unix) configured

I believe I am linking to php dynamically, becase httpd -l does
not show it in the list, because I followed the build instructions to
link dynamically, and because there really is a libexec/libphp4.so
(which LoadModule tries to load, I presume).  But, in fact, it looks
like it's *not* loading the php module.  Should I try rebuilding
apache?  What should I look for?

Other possibly relevant facts are that I am running RedHat 6.1
and recently upgraded MySQL from 3.22 to 4.0 (though the
upgrade appears to be working properly).

Dave





---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message